This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 219402 - mew: non-failsafe install-info usage
mew: non-failsafe install-info usage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mew (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-12 17:23 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 04:33:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-12 17:23:23 EST
mew's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %preun would fix it.

Additionally, the (Pre)Requires(foo,bar) syntax is known to be broken in many
versions of rpm, and in this case, the /sbin/install-info erase time dependency
should be preun, not postun.  So "Prereq(post,postun): /sbin/install-info"
should be split to two and replaced by "Requires(post): /sbin/install-info" and
"Requires(postun): /sbin/install-info".

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 1 Akira TAGOH 2006-12-19 04:33:55 EST
fixed in 5.1-3.

Note You need to log in before you can comment on or make changes to this bug.